Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045880
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Discounts and Promotionsmajoralways2021-02-10 17:432021-03-04 22:44
ReporterLeyreView Statuspublic 
Assigned Torqueralta 
PriorityhighResolutionfixedFixed in VersionRR21Q2
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045880: Problems with Pack promotions when delete a product from the Price List - Product Price of the store

DescriptionProblems with Pack promotions when delete a product from the Price List - Product Price of the store.
Steps To ReproduceWeb POS:
1. Open a terminal, for example VBS-1:
https://livebuilds.openbravo.com/retail_modules_pgsql_pi/web/org.openbravo.retail.posterminal/?terminal=VBS-1 [^]

2. In Browse tab, select "Camping Pack" and confirm that it is added correctly.
3. Delete the ticket.

Backend:
1. Go to the Price List of the store. In this case: The White Valley Group Sale Price List
2. In the Price List Version -> Product Price tab, delete the two products defined in the previous Pack: "Down sleeping bag 500" and "Expedition tent 4 season 2 person".

Web POS:
1. Do a full refresh.
2. Login again into the terminal VBS-1.
3. In Browse tab, select "Camping Pack".

Result:
1. Confirm that the system displays an error "Not found product : 090AD5EA347C4E809FD0BEBF08E82332".
2. Confirm that there is an error in the Console Browser. See attached image
TagsNo tags attached.
Attached Filespng file icon error.png [^] (264,376 bytes) 2021-02-10 17:43
patch file icon Fixed-BUG-45880-19Q3.4-Discount.patch [^] (1,397 bytes) 2021-03-04 22:44 [Show Content]
patch file icon Fixed-BUG-45880-19Q3.4-Posterminal.patch [^] (2,017 bytes) 2021-03-04 22:44 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0126379)
hgbot (developer)
2021-02-26 18:43

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/325 [^]
(0126400)
hgbot (developer)
2021-03-01 08:14

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/325 [^]
(0126401)
hgbot (developer)
2021-03-01 08:14

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 64ac4923ef9e95b1df626ca6bd5bbe2a95b0a17a
Author: Rafael Queralta <rafaelcuba81@gmail.com>
Date: 2021-03-01T07:14:37+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/64ac4923ef9e95b1df626ca6bd5bbe2a95b0a17a [^]

Fixed BUG-45880: Show message when Product for Pack was not found

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/actions/AddProduct.js
---

- Issue History
Date Modified Username Field Change
2021-02-10 17:43 Leyre New Issue
2021-02-10 17:43 Leyre Assigned To => Retail
2021-02-10 17:43 Leyre File Added: error.png
2021-02-10 17:43 Leyre Triggers an Emergency Pack => No
2021-02-17 15:42 rqueralta Assigned To Retail => rqueralta
2021-02-17 15:43 rqueralta Status new => scheduled
2021-02-26 18:43 hgbot Note Added: 0126379
2021-03-01 08:14 hgbot Resolution open => fixed
2021-03-01 08:14 hgbot Status scheduled => closed
2021-03-01 08:14 hgbot Note Added: 0126400
2021-03-01 08:14 hgbot Fixed in Version => RR21Q2
2021-03-01 08:14 hgbot Note Added: 0126401
2021-03-04 22:44 rqueralta File Added: Fixed-BUG-45880-19Q3.4-Discount.patch
2021-03-04 22:44 rqueralta File Added: Fixed-BUG-45880-19Q3.4-Posterminal.patch


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker